# sc::CS2Sphere Class Reference

List of all members.

## Public Member Functions

| CS2Sphere (const SCVector3 &v, double rad)
| CS2Sphere (double x, double y, double z, double rad)
void | initialize (SCVector3 &v, double rad)
CS2Sphere & | operator= (const CS2Sphere &s)
double | distance (CS2Sphere &asphere)
double | common_radius (CS2Sphere &asphere)
const SCVector3 & | center (void) const
double | x () const
double | y () const
double | z () const
SCVector3 | center_vec (const CS2Sphere &asphere)
double | radius (void) const
void | recenter (const SCVector3 &v)
void | print (std::ostream &os=ExEnv::out0()) const
int | intersect (CS2Sphere *s, int n_spheres) const

## Static Public Member Functions

static void | print_counts (std::ostream &=ExEnv::out0())

## Static Public Attributes

static int | n_no_spheres_
static int | n_probe_enclosed_by_a_sphere_
static int | n_probe_center_not_enclosed_
static int | n_surface_of_s0_not_covered_
static int | n_plane_totally_covered_
static int | n_internal_edge_not_covered_
static int | n_totally_covered_

The documentation for this class was generated from the following file:

- molshape.h